3.28.0 (Sat 14 Jul, 2018):

    Fixed a bunch of crashes and lots of under-the-hood improvements.
    SparkleShare will now follow the GNOME release schedule and version 
    number scheme as much as possible.

    Please make sure to install the AppIndicator Support GNOME Shell extension
    (https://extensions.gnome.org/extension/615/appindicator-support/) to display
    status icons in GNOME 3.26 or later. Or start with --status-icon=gtk.

    Linux:
    - Use the Meson build system
    - Use appindicator as the default status icon
    - Fix event log parsing for newer versions of Git
    - Flatpak improvements

    macOS:
    - Fix the system font in eventlog and related crash
    - Fix hang when quitting the app

    Special thanks to Thiago Santos and Renpytom for supporting the project on Patreon.


2.0.1 (Tue 19 Dec, 2017):

    - Fix files created by conflict resolution being moved to the root folder
    - On conflicts, both diverging versions plus the original version are kept
    - New app icon on Mac


2.0.0 for Linux, Mac and Windows (Sun Sep 10, 2017):

    SparkleShare 2.0 is a clean break and will be incompatible with 
    the 1.x series. Repositories added using 1.0 will likely not work
    and will have to be re-synced to take advantage of 2.0 features.

    Hylke:
    - Flatpak version now available
    - Support for Git LFS managed repositories
    - Updated Linux app icon by Sam Hewitt
    - Projects are now grouped by host/organisation
    - Prefer to use the "SparkleShare" branch if it exists remotely
    - Added a GitLab preset
    - Add an entry to GNOME's System Settings to manage notifications
    - Encrypt names and emails in history of encrypted projects
    - When conflicts are resolved "SparkleShare" is now the author and 
      merge commits will be hidden from the log
    - Fix conflict resolution on encrypted files
    - Use a standalone SSH configuration instead of ssh-agent
    - Use SHA256 instead of MD5 for SSH fingerprinting
    - Dropped limited HTTPS support
    - Dropped insecure DSA key support


1.5.0 for Linux, Mac and Windows (Tue Dec 22, 2015):

     Hylke:
     - Mac UI updates to integrate well with Yosemite
     - Per folder sync status in icon menu
     - Add ability to pause sync and add a commit message on resume
     - Remove dock icon on Mac and force windows on top
     - Update certificate for Gravatar
     - Resizable "Recent Changes" window on Windows
     - Several stability fixes
     - Improvements to filesystem watcher and exclude list
     - Use more secure 4096 bit SSH keys
     - Use hashed and salted password to encrypt files
     - Fix change attribution in Recent Changes window on merges
     - Fix disabled Continue button when entering encryption password


1.4.0 for Linux, Mac and Windows (Sun Apr 20, 2014):

     Hylke:
     - Check user's local bin folders for git binary
     - Show a notification after trying to start the app multiple times
     - Set default focus on password fields when setting up encryption
     - Show disclosure triangly on Recent Changes window timestamps
     - Fix some conflict resolution issues by merging instead of rebasing on the remote
     - Fix crash when copying to clipboard on Windows
     - Sync more quickly after the system wakes up from sleep
     - Fix conflict resolution when renaming folders


1.3.0 for Linux (Sat Oct 26 2013):

      Hylke:
      This release focuses mainly on the move to GTK+3 and GNOME 3 integration.
      If you're running SparkleShare on GNOME you're in for a treat. Special thanks
      go to Bertrand Lorentz, Mirco Bauer and Stephan Sundermann for help with
      the bindings, build system adjustments, and other things:

      - Port interface from GTK+2 to GTK+3, replace widget implementations with new APIs
      - Use GTK+3 compatible bindings for libnotify, webkitgtk, and appindicator
      - Many style usability and behaviour fixes in the setup dialog
      - Fix annoying flicker when changing projects on the Recent Changes window
      - Improved window scalability of the Recent Changes window and about dialog
      - Remove menu item that toggles notifications (this can now be done in
        GNOME's system menu)
      - Refocus on existing SparkleShare instance when starting multiple times
      - Include an appdata XML file for the GNOME Software application
      - Show correct icon and application name on GNOME 3 and Ubuntu

      Cross-platform changes:
      - Relicense SparkleLib, SparkleShare's common library, to GNU LGPLv3+
      - Set default focus on widgets for different forms in setup dialog 


1.2.0 for Linux, Mac and Windows (Sun 6 Oct 2013):

      Hylke:
      - Fixes to the invite feature, now works when SparkleShare isn't
        running yet (by Jo Shields)
      - Don't crash, but complain when FIPS is enabled on Windows
      - Fix some interface logic in Add dialog
      - Fix some inaccurate sync state messages in the status icon
      - Fix conflict when running when TortoiseGit is installed
      - Fix blank Add dialog on OS X Snow Leopard
      - Fix crash when user cancels initial project download
      - Fix Continue button not enabling when entering encryption password
      - Fix Planio plugin name showing up as Gitorious on Linux
      - Show download speed on initial project add


1.1.0 for Linux, Mac and Windows (Sun 26 May 2013):

       Hylke:
       - Fixed retina Mac support by Aaron Bockover
       - Don't sync files with names that are problematic on Windows
       - Show Client ID (link code) in the status icon menu
       - Don't show notifications for changes that you made yourself
       - Use large message tray icon on GNOME 3
       - Added a plugin for plan.io
       - Work with host keys other than just RSA
       - "%20" and "_" in project names become spaces in folder names
       - Stricter permissions on the SparkleShare folder on Unix systems
       - Open folders in the event log by clicking project names
       - Allow spaces in passwords
       - Change invite scheme to sparkleshare://addProject/$URL
       - Many other bug fixes and tweaks


1.0.0 for Linux, Mac and Windows (Sun Dec 9 2012):

        Hylke:
        - Rebrand 0.9.10 with some minor changes to 1.0.0


0.9.10 for Linux, Mac and Windows (Fri Dec 7 2012):

        Hylke:
        - Fix folders not opening from statusicon menu on Windows
        - Fix freeze on Mac when retrying a failed add a project attempt
        - Fix a freeze on Mac when updating the status icon when the menu is open


0.9.9 for Linux, Mac and Windows (Mon Dec 3 2012):

        Hylke:
        - Add high resolution images for retina displays on macs
        - Put uncommonly used menu items in a submenu in the statusicon
        - Fix an issue connecting to encrypted projects
        - New tutorial slides
        - Detect more types of sync errors
        - Various small fixes and cleanups


0.9.8 for Linux, Mac and Windows (Sun Nov 18 2012):

        Hylke:
        - Show both the cumulative upload and download speeds when multiple
          projects are syncing at the same time
        - Defer receiving changes when affected files are locked and show
          a warning in the statusicon (mostly affects Windows)
        - Fix an issue where changing the case of a file name that will be
          synced to Windows or Mac would result in a no longer syncable project
        - Add a "Try Again" action underneath every error reported in the
          statusicon to force a retry
        - Always sync to the default git branch even when it's not named
          "master" (e.g. "gh-pages")
        - Fix unicode characters displaying weirdly in the event log


0.9.7 for Linux, Mac and Windows (Sat Nov 10 2012):

        Hylke:
        - Remove Growl and use native OS X notifications
        - Treat underscores in project names as spaces for the folder names      
        - Allow periods "." in project names
        - Depend on git >= 1.7.12
        - Fix Mac unicode compatibility (could cause duplicate files or folders
          between different platforms)


0.9.6 for Linux, Mac and Windows (Sat Oct 27 2012):

        Hylke:
        - Show link code and Copy button on last tutorial page
        - Fix crash when the SparkleShare folder is on an unmounted drive
        - Fix crash of the event log on Windows
        - Keep Continue button in the same place on each tutorial page
        - Remove dock icon badging on Mac now that Mountain Lion has 
          a notification queue


0.9.5 for Linux, Mac and Windows (Sun Oct 21 2012):

        Hylke:
        - Fix "Show all" link not working in event log
        - Fix wrong version number in the Windows about dialog
        - Fix some problems with encrypted projects
        - Fix .sparkleshare file not always being hidden on Windows
        - Fix "Open files" button when an encrypted project has been added
        - Fix a crash of the event log on Windows


0.9.4 for Linux, Mac and Windows (Fri Oct 19 2012):

        Hylke:
        - Remove Nautilus extension
        - Restore previous revisions of files from the event log
        - Fix Mac file system watcher not always triggering
        - Add symbolic icon for GNOME 3 (by Lapo)
        - New Bitbucket and default user icon
        - For encrypted projects, use a different salt for each project


0.9.3 for Linux, Mac and Windows (Mon Oct 1 2012):

        Hylke:
        - Fix endless loop when adding empty folders
        - Fix freeze when adding lots of files
        - Fix using hosts with a non-standard SSH port
        - Fix receiving of notification service message after the first one
        - New non-animating status icons
        - More descriptive error reporting in the status icon
        - Add link to debug log in the about dialog
        - Use port 443 on the notification service to work better in
          restricted networks


0.9.2 for Linux, Mac and Windows (Wed Aug 29 2012):

        Hylke:
        - This release fixes a crash that can happen after adding a new
          project as well ssh-agent sometimes not starting on Windows


0.9.1 for Linux, Mac and Windows (Mon Aug 27 2012):

        Hylke:
        - Use HTTPS to fetch gravatars
        - Website links in the about dialog
        - Scalable custom folder icon in Nautilus 3.x
        - Default host user is now "storage" instead of "git"
        - Create crash reports in ~/SparkleShare when things go wrong
        - New Windows folder icons
        - Project folders can now be renamed in the file manager
        - Resizable event log on Mac
        - Fix some bugs in conflict resolution mechanism


0.9.0 for Linux, Mac and Windows (Wed Jun 27 2012):

	Hylke:
	- Experimental client side encryption using OpenSSL's AES
	- Allow setting custom paths in config.xml
	- Ship host keys of default plugins and verify on project add
	- Don't touch the user's ~/.ssh/config to configure SSH
	- Make fetching remote project's history optional
	- Cached logs for faster event log loading/switching
	- Sort event log file entries by time
	- Change default notification service to use port 80
	- Show backend error message(s) when on failed project add
	- Update Growl framework to version 1.3.1: A separate Growl 
	  is no longer needed and ready for Mountain Lion's notifications
	- Monochrome appindicator icons on Ubuntu

	Travis:
	- Rewrote the notification service, now more robust and reliable


0.8.4 for Linux, Mac and Windows (Sun Mar 18 2012):

	Hylke:
	- Show initial sync progress in taskbar item on Windows 7
	- Fix "Add" item being disabled on first run
	- Fix some crashes in notfication mechanism
	- Use ~/SparkleShare instead of ~/My Documents/SparkleShare on Windows
	- Add option to add SparkleShare to startup items on Windows
	- Add SparkleShare to Explorer sidebar
	- Report whether we're sending or receiving (or both) in the status icon
	- Fix some cases where SparkleShare would incorrectly say "not synced"
	- Some UI changes on Windows to comply with the Windows HIG


0.8.3 for Linux, Mac and Windows (Sun Mar 11 2012):

	Hylke:
	- Windows version implemented with WPF
	- Invites feature: link to a host with one click
	- Implement sparklshare:// protocol handlers for invites
	- "Add SparkleShare to login items" checkbox on the last tutorial page
	- Text entries aren't being reset when selecting plugins in the setup dialog
	- A variety of new default avatars (GNOME style)
	- More useful hints below the entries in the setup dialog
	- Breadcrumbs for paths in the event log: directories can be clicked
	- Allow backends to be in separate binaries (by Shish)
	- If the dock icon is visible and has a count badge, open event log on click
	- Add previously successfully used hosts as plugins


0.8.2 for Linux and Mac (Sat Feb 11 2012):

	Hylke:
	- Use the more reliable and less resource intensive FSEvents on Mac.
	- Improvements to the reconnect mechanism of the notification system


0.8.1 for Linux and Mac (Sun Jan 29 2012):

	Hylke:
	- Disable the Quit menu item when a sync is going on
	- Show remote url when hovering project names in the log
	- Fix the event log on Linux
	- Allow server ports to be specified once again
	- Open Folder button after setup now takes you to SparkleShare/subfolder
	- Close event log on Cmd+W on Mac


0.8.0 for Linux and Mac (Sun Jan 22 2012):

	Hylke:
	- Show syncing progress in the status icon
	- Hide dock icon on Mac until you open a window
	- Update dates in the event log after midnight
	- Don't let git compress already compressed files (.jpg .ogg .zip, etc.)
	- Limit git's memory usage
	- Ignore history of any added git/hg/bzr repositories, just add the files
	- Spin status icon on syncing changes made before startup


0.6.0 for Linux and Mac (Sun Dec 25 2011):
        
	Hylke:
	- Several fixes for annoying bugs and crashes
	- Fix freeze on quit on Mac
	- Show project and history size in the event log


0.4.2 for Linux and Mac (Fri Dec 2 2011):
	Hylke:
	- Fix crash trying to add a project


0.4.1 for Linux and Mac (Tue Nov 29 2011):
	Hylke: Just some small tweaks and fixes:

	- Bundle git with the Mac application
	- Warn about potential global gitignore files
	- Remove SmartIrc4Net
	- Build system fixes
	- Code cleanups


0.4.0 for Linux and Mac (Sun Nov 12 2011):
	Hylke: It has been a while since the last release. Since so many
	things changed, and it being (softly) incompatible with 0.2, I decided
	to call it 0.4. Here are the most important improvements:

	- Support OS X Lion
	- Revamped "Add Hosted Project..." dialog
	- First run tutorial
	- Clicking notifications opens the event log
	- Support for organisation/host plugins
	- Adding empty folders now works
	- More useful error reporting
	- Progress bar on the initial sync, and a button to cancel
	- Replace IRC by a custom protocol as the default notification system
	- Many many fixes for crashes and bugs

	Travis:
	- Nautilus 3.x plugin
	- Bugfixes


0.2.5 for Linux and Mac (Mon Jul 25 2011):

	Hylke: Reimplement notes to be less buggy and backend independent. Polish
	about dialog and event log html. Fix a bug where large collections of files
	weren't being synced when adding them at the same time. The event log now
	collapses huge change sets and squashes events together by day when they
	are on the same day and in the same folder. Add a controller per UI component
	to make the Windows verion easier to implement.


0.2.4 for Linux and Mac (Wed Jun 29, 2011):

	Hylke: Fix crash when setting up with an empty Git repository.


0.2.3 for Linux and Mac (Tue Jun 28, 2011):

	Hylke: Add the ability to add notes in the event logs. Fix some quirks
	in the webkit view on Linux. Redid gravatar fetching parts to be more
	efficient. Remove headless feature. Fix some small bugs and crashes.
	SparkleShare will now also try to use your existing SSH keypair. Required
	Git version is now 1.7.1 or later.


0.2.2 for Linux and Mac (Tue Jun 14, 2011):

	Hylke: Fix crash on first run when ~/.ssh doesn't exist. Sync algorithm
	tweaks. New global event log. Ubuntu integration with libappindicator. Poll
	sometimes even when using the notification service.


0.2.1 for Linux and Mac (Wed Jun 8, 2011):

	Hylke: Fix bug where host names with a "-" in them weren't accepted. Fix
	crash that happens when the user doesn't have their "Real Name" set in the
	OS and a race condition connecting to the announcements server.


0.2 for Linux and Mac (Mon Jun 6, 2011):

	Hylke: Removed the dependancy on GitSharp. File rename detection support
	in the event logs. Fixed all crashes reported in RC1 and improved sync
	algorithm. Redid collision detection and conflict resolving (use a copy
	of each version). Improved about dialogs with version checking. Pluggable
	backend (experimental Mercurial support). Added support for Growl to show
	notifications on Mac.


0.2-rc1 for Linux and Mac (Sun Mar 20, 2011):

	Hylke: A lot of fixes and optimisations across the backend. Less memory 
	usage, less crashes. Instant notifications of new changes instead of polling.
	Refreshed event log HTML theme. Keeping logs in memory for faster reopening and
	loads more goodness.


0.2-beta2 for Mac (Sat Feb 12, 2011):

	Hylke: Mac version! Massive restructure of the code to an MVC-like model
	to make building different front-ends easier. Ported the event logs to
	Webkit, so users can style it to their liking. It also reduces the amount
	of UI-porting that needs to be done between toolkits.


0.2-beta1 (Sun Sep 5, 2010):

	Hylke: Aside from the usual bug fixes and behind the scenes work I mainly
	added features that increase productivity in the event logs. Not only does
	it look a lot prettier, each entry in an event log now has a clickable link
	for easy access to files. It refreshes automatically on new events as well.
	The Nautilus plugin now	has the "Copy Web Link" context	menu item, which
	makes sharing links a whole lot easier.

